QwtPainterCommand(3)

NAME
QwtPainterCommand

SYNOPSIS

#include <qwt_painter_command.h>

  Classes
struct ImageData
Attributes how to paint a QImage.
struct PixmapData
Attributes how to paint a QPixmap.
struct StateData
Attributes of a state change.

  Public Types
enum Type { Invalid = -1, Path, Pixmap, Image, State }
Type of the paint command.

  Public Member Functions
QwtPainterCommand ()
Construct an invalid command.
QwtPainterCommand (const QwtPainterCommand &)
QwtPainterCommand (const QPainterPath &)
Copy constructor.
QwtPainterCommand (const QRectF &rect, const QPixmap &, const QRectF &subRect)
QwtPainterCommand (const QRectF &rect, const QImage &, const QRectF &subRect, Qt::ImageConversionFlags)
QwtPainterCommand (const QPaintEngineState &)
~QwtPainterCommand ()
Destructor.
QwtPainterCommand & operator= (const QwtPainterCommand &)
Type type () const
QPainterPath * path ()
const QPainterPath * path () const
PixmapData * pixmapData ()
const PixmapData * pixmapData () const
ImageData * imageData ()
const ImageData * imageData () const
StateData * stateData ()
const StateData * stateData () const

Detailed Description

QwtPainterCommand represents the attributes of a paint operation how it is used between QPainter and QPaintDevice

It is used by QwtGraphic to record and replay paint operations

See also
    QwtGraphic::commands()

Member Enumeration Documentation

  enum QwtPainterCommand::Type

Type of the paint command.

Enumerator

Invalid
    Invalid command.

Path
    Draw a QPainterPath.

Pixmap
    Draw a QPixmap.

Image
    Draw a QImage.

State
    QPainter state change.

Constructor & Destructor Documentation

  QwtPainterCommand::QwtPainterCommand (const QwtPainterCommand & other)
Copy constructor

Parameters
    other Command to be copied

  QwtPainterCommand::QwtPainterCommand (const QRectF & rect, const QPixmap & pixmap, const QRectF & subRect)
Constructor for Pixmap paint operation

Parameters
    rect Target rectangle
    pixmap Pixmap
    subRect Rectangle inside the pixmap

See also
    QPainter::drawPixmap()

  QwtPainterCommand::QwtPainterCommand (const QRectF & rect, const QImage & image, const QRectF & subRect, Qt::ImageConversionFlags flags)
Constructor for Image paint operation

Parameters
    rect Target rectangle
    image Image
    subRect Rectangle inside the image
    flags Conversion flags

See also
    QPainter::drawImage()

  QwtPainterCommand::QwtPainterCommand (const QPaintEngineState & state)
Constructor for State paint operation

Parameters
    state Paint engine state

Member Function Documentation

  QwtPainterCommand::ImageData * QwtPainterCommand::imageData ()

Returns
    Attributes how to paint a QImage

  const QwtPainterCommand::ImageData * QwtPainterCommand::imageData () const [inline]

Returns
    Attributes how to paint a QImage

  QwtPainterCommand & QwtPainterCommand::operator= (const QwtPainterCommand & other)
Assignment operator

Parameters
    other Command to be copied

Returns
    Modified command

  QPainterPath * QwtPainterCommand::path ()

Returns
    Painter path to be painted

  const QPainterPath * QwtPainterCommand::path () const [inline]

Returns
    Painter path to be painted

  QwtPainterCommand::PixmapData * QwtPainterCommand::pixmapData ()

Returns
    Attributes how to paint a QPixmap

  const QwtPainterCommand::PixmapData * QwtPainterCommand::pixmapData () const [inline]

Returns
    Attributes how to paint a QPixmap

  QwtPainterCommand::StateData * QwtPainterCommand::stateData ()

Returns
    Attributes of a state change

  const QwtPainterCommand::StateData * QwtPainterCommand::stateData () const [inline]

Returns
    Attributes of a state change

  QwtPainterCommand::Type QwtPainterCommand::type () const [inline]

Returns
    Type of the command

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.